#version 330 core

layout (location = 0) in vec4 vertex;
layout (location = 1) in vec2 inTexCoords;

out vec2 texCoords;

uniform mat4 projection;
uniform mat4 camera;
uniform mat4 model;

void main()
{
	gl_Position = projection * camera * vec4(vertex.xyz, 1.0);
	texCoords = inTexCoords;
}
